Class Specialization
Pms1
Represents the Pms1 algorithm developed by Rajasekaran et al.

MotifFinder

Pms1

MotifFinder<TValue, Pms1>
Include Headers
seqan/find_motif.h
Parameters

TValue | The type of sequences to be analyzed. Types: AminoAcid, Dna

Remarks
The exact Pms1 algorithm (Planted Motif Search 1) searches in the space of possible motifs such as EPatternBranching. The procedure of the algorithm is quite simple. For every l-mer in each input sequence the algorithm generates all possible length-l patterns in the Hamming distance d-neighborhood of x. The neighbor sets for each sequence are then intersected so that at the end of the process we get a group of l-mers or a single l-mer that occur(s) in each input sequence with d substitutions.
Specialization of
MotifFinder
Metafunctions

Value | Type of the items in the container. (MotifFinder)

Functions

displayResult | Displays all found motif candidates. In the case of the Projection Motif Finder the function displays the consensus pattern of the found motif candidate. (MotifFinder)
findMotif | Represents the main function which is used to start the search for noticeable motif patterns. (MotifFinder)
getMotif | Gets the motif out of a MotifFinder. If pos is given, the pos-th motif is returned, otherwise the first motif is returned. (MotifFinder)
motifCount | Gets number of motifs in the MotifFinder. (MotifFinder)

Example Programs
Motif Finder
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:51